/*-------------------------------------------------------------------------
 Copyright 2009 Olivier Berlanger

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 -------------------------------------------------------------------------*/
package net.sf.sfac.gui.asynch;


/**
 * This special exception carries the signal that the application user has explicitly aborted an action.
 * 
 * @author Olivier Berlanger
 */
@SuppressWarnings("serial")
public class UserAbortException extends RuntimeException {


    public UserAbortException() {
    }


    public UserAbortException(String message, Throwable cause) {
        super(message, cause);
    }


    public UserAbortException(String message) {
        super(message);
    }


    public UserAbortException(Throwable cause) {
        super(cause);
    }


}
